NewWacht Bench is live — AI-assisted development for Wacht

Get Api Audit Timeseries

GET
/api-auth/apps/{app_slug}/audit/timeseries

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

app_slug*string

Query Parameters

deployment_id*integer
app_slug*string
start_date?string
Formatdate-time
end_date?string
Formatdate-time
interval*string
key_id?integer

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/api-auth/apps/string/audit/timeseries?deployment_id=0&app_slug=string&interval=string"
{
  "data": [
    {
      "timestamp": "2019-08-24T14:15:22Z",
      "total_requests": 0,
      "allowed_requests": 0,
      "blocked_requests": 0,
      "success_rate": 0
    }
  ],
  "interval": "string"
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}